/* fremde schriftarten einfügen */
@font-face {
    font-family: 'Glypher';
    src: url('../fonts/glypher/Glypher.woff2') format('woff2'),
         url('../fonts/glypher/Glypher.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Ribeye';
    src: url('../fonts/ribeye/Ribeye-Regular.woff2') format('woff2'),
         url('../fonts/ribeye/Ribeye-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Winter-Solid';
    src: url('../fonts/winter-solid/MadeWinterSolid.woff2') format('woff2'),
    url('../fonts/winter-solid/MadeWinterSolid.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

/* Allgemeine Styles */
body {
    margin: 0;
    padding: 0;
    font-family: 'Ribeye', sans-serif;
    background-image: url('../images/background9.png');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed; /* Fixiert das Hintergrundbild */
    color: white;
    overflow-x: hidden;
}

/* Spacer hinzufügen, der oben einen Abstand schafft */
.spacer {
    height: 260px; /* Höhe nach Bedarf anpassen */
    background-color: transparent; /* Optional, je nach Design */
}

.container {
    text-align: center;
    padding: 20px;
    border-radius: 15px;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;

}

.header {
    margin-bottom: 20px;
}

.header img {
    border-radius: 50%;
}

.header h1 {
    margin: 10px 0;
    font-family: 'Glypher', sans-serif;
    font-size: 38px;
    font-weight: 300;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

.header p {
    font-family: 'Winter-Solid', sans-serif;
    font-size: 12px;
    margin: 0;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

.profile {
    text-align: center;
    margin: 0;
    padding: 0;
    border-radius: 20px; /* 20px */
    width: 90%;
    max-width: 400px;
}

.profile img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    margin-bottom: 10px;
}

.profile h1 {
    font-family: 'Glypher', sans-serif;
    font-size: 31px;
    font-weight: 300;
    margin: 0;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

.profile p {
    font-family: 'Winter-Solid', sans-serif;
    color: rgba(255, 255, 255, 1);
    margin: 5px 0;
    font-size: 12px;
    /*color: #ccc;*/
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

.button {
    display: block;
    padding: 10px;
    margin: 5px auto;
    font-size: 16px;
    color: black;
    text-decoration: none;
    border-radius: 15px;
    background-size: cover;
    background-color: white;
    text-align: center;
    width: 100%;
    max-width: 300px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.3);
    transition: background-color 0.2s ease, transform 0.2s ease;
}

.button:hover {
    background-color: #f0f0f0;
    transform: scale(1.05);
}

.contact-me {
    margin: 20px 0;
    text-align: center;
}

.contact-me a {
    font-family: 'Ribeye', sans-serif;
    font-size: 18px;
    color: #ffffff; 
    text-decoration: none; 
    /* border-bottom: 1px solid #ffffff; */
    padding: 5px;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

.contact-me a:hover {
    color: #f0f0f0;
    border-bottom: 1px solid #f0f0f0;
}

.datenschutz {
    margin: 20px 0;
    text-align: center;
}

.datenschutz a {
    font-family: 'Ribeye', sans-serif;
    font-size: 18px;
    color: #ffffff; 
    text-decoration: none; 
    /* border-bottom: 1px solid #ffffff; */
    padding: 5px;
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

.datenschutz a:hover {
    color: #f0f0f0;
    border-bottom: 1px solid #f0f0f0;
}

/* Sicherstellen, dass der Hintergrund fixiert bleibt */
.body-bg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('../images/background9.png'); /* Deine Hintergrundbild-URL */
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    z-index: -1; /* Hintergrund bleibt hinter dem Hauptinhalt */
}

/* Stil für die Hauptinhalt der Impressum-Seite */
body.impressum {
    margin: 0;
    padding: 0;
    font-family: 'Calibri', sans-serif;
    background-image: url('../images/background10.png');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed; /* Fixiert das Hintergrundbild */
    color: white;
    overflow-x: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh; /* Stellt sicher, dass der Inhalt mindestens die Höhe des Viewports hat */
}

.impressum-content {
    text-align: center;
    margin:10px;
    padding:15px;
    border-radius: 20px;
    width: 90%;
    max-width: 750px; 
    background-color: rgba(0, 0, 0, 0.8); 
}

.impressum-content h1,
.impressum-content h2,
.impressum-content p {
    font-family: 'Calibri', sans-serif; 
    color: #ffffff; /* Weißer Text */
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

/* Link-Stil für Impressum-Seite */
.impressum-content a {
    font-family: 'Calibri', sans-serif;
    font-size: 14px;
    color: #ffffff; 
    text-decoration: none; 
    padding: 5px; 
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
}

.impressum-content a:hover {
    color: #f0f0f0; 
    border-bottom: 1px solid #f0f0f0; 
}

/* Medienabfrage für Bildschirme mit einer maximalen Breite von 768px (z.B. Tablets und Smartphones) */
@media (max-width: 768px) {
   .spacer {
        height: 120px; /* Angepasste Höhe für mobile Geräte */
    }
}
